org.icefaces.ace.component.audioplayer

## Interface IAudioPlayer

- All Known Implementing Classes:
    AudioPlayer, AudioPlayerBase

      public interface IAudioPlayer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getLibrary()`
    `java.lang.String` | `getLinkLabel()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPreload()`
    `java.lang.String` | `getScope()`
    `java.lang.String` | `getSrcAttribute()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getUrl()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isAutoplay()`
    `boolean` | `isControls()`
    `boolean` | `isLoop()`
    `boolean` | `isMuted()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setAutoplay(boolean autoplay)`
    `void` | `setControls(boolean controls)`
    `void` | `setLibrary(java.lang.String library)`
    `void` | `setLinkLabel(java.lang.String linkLabel)`
    `void` | `setLoop(boolean loop)`
    `void` | `setMuted(boolean muted)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPreload(java.lang.String preload)`
    `void` | `setScope(java.lang.String scope)`
    `void` | `setSrcAttribute(java.lang.String srcAttribute)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setType(java.lang.String type)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setValue(java.lang.Object value)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setAutoplay

          void setAutoplay(boolean autoplay)

    - #### isAutoplay

          boolean isAutoplay()

    - #### setControls

          void setControls(boolean controls)

    - #### isControls

          boolean isControls()

    - #### setLibrary

          void setLibrary(java.lang.String library)

    - #### getLibrary

          java.lang.String getLibrary()

    - #### setLinkLabel

          void setLinkLabel(java.lang.String linkLabel)

    - #### getLinkLabel

          java.lang.String getLinkLabel()

    - #### setLoop

          void setLoop(boolean loop)

    - #### isLoop

          boolean isLoop()

    - #### setMuted

          void setMuted(boolean muted)

    - #### isMuted

          boolean isMuted()

    - #### setName

          void setName(java.lang.String name)

    - #### getName

          java.lang.String getName()

    - #### setPreload

          void setPreload(java.lang.String preload)

    - #### getPreload

          java.lang.String getPreload()

    - #### setScope

          void setScope(java.lang.String scope)

    - #### getScope

          java.lang.String getScope()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setType

          void setType(java.lang.String type)

    - #### getType

          java.lang.String getType()

    - #### setUrl

          void setUrl(java.lang.String url)

    - #### getUrl

          java.lang.String getUrl()

    - #### setValue

          void setValue(java.lang.Object value)

    - #### getValue

          java.lang.Object getValue()

    - #### setSrcAttribute

          void setSrcAttribute(java.lang.String srcAttribute)

    - #### getSrcAttribute

          java.lang.String getSrcAttribute()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.